import { __require as E } from "./index-ReactPropTypesSecret.js";
import { __require as _ } from "./index-has.js";
var f, v;
function g() {
  if (v) return f;
  v = 1;
  var a = function() {
  };
  if (process.env.NODE_ENV !== "production") {
    var y = /* @__PURE__ */ E(), o = {}, d = /* @__PURE__ */ _();
    a = function(n) {
      var t = "Warning: " + n;
      try {
        throw new Error(t);
      } catch {
      }
    };
  }
  function u(n, t, i, s, c) {
    if (process.env.NODE_ENV !== "production") {
      for (var e in n)
        if (d(n, e)) {
          var r;
          try {
            if (typeof n[e] != "function") {
              var h = Error(
                (s || "React class") + ": " + i + " type `" + e + "` is invalid; it must be a function, usually from the `prop-types` package, but received `" + typeof n[e] + "`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`."
              );
              throw h.name = "Invariant Violation", h;
            }
            r = n[e](t, e, s, i, null, y);
          } catch (l) {
            r = l;
          }
          if (r && !(r instanceof Error) && a(
            (s || "React class") + ": type specification of " + i + " `" + e + "` is invalid; the type checker function must return `null` or an `Error` but returned a " + typeof r + ". You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument)."
          ), r instanceof Error && !(r.message in o)) {
            o[r.message] = !0;
            var p = c ? c() : "";
            a(
              "Failed " + i + " type: " + r.message + (p ?? "")
            );
          }
        }
    }
  }
  return u.resetWarningCache = function() {
    process.env.NODE_ENV !== "production" && (o = {});
  }, f = u, f;
}
export {
  g as __require
};
